package tech.starwin.mvp.ui.adapter;

import android.content.Context;

import java.util.List;

import tech.starwin.R;
import tech.starwin.base.BaseRecyclerAdapter;
import tech.starwin.base.RecyclerViewHolder;
import com.common.bean.RepaymentGuideBean;

/**
 * Created by SiKang on 2018/11/17.
 */
public class RepaymentGuideAdapter extends BaseRecyclerAdapter<RepaymentGuideBean> {
    public RepaymentGuideAdapter(Context ctx, List list) {
        super(ctx, list);
    }

    @Override
    public Object bindItemLayout() {
        return R.layout.item_repayment_guide;
    }

    @Override
    public void bindData(RecyclerViewHolder holder, int position, RepaymentGuideBean item) {
        holder.getTextView(R.id.item_repaymentGuide_title_tv).setText(item.getGuideTitle());
        holder.getTextView(R.id.item_repaymentGuide_detail_tv).setText(item.getGuideDetail());
    }

}
